openapi: 3.0.0
info:
  version: JOINAXE
  title: 
  description: Join Axe Integration POC
servers:
  - url: http://localhost:8095/
paths:
  /CreateSalesRepActivity:
    get:
      description: ''
      operationId: 'getCreateSalesRepActivity'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSalesRepActivityCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewCreateSalesRepActivity'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSalesRepActivity_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /CreateSalesRepActivity/{id}:
    get:
      description: ''
      operationId: 'getCreateSalesRepActivityById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSalesRepActivity'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    CreateSalesRepActivity:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Notes:
          type: string
        CallBack:
          type: string
          format: date
    CreateSalesRepActivity_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        SalesRep:
          type: number
        Customer:
          type: number
        Notes:
          type: string
        CallBack:
          type: string
          format: date
    CreateSalesRepActivityCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/CreateSalesRepActivity'
security:
  - apiKey: []
